Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.squawk.debugger
Class JDWPConnection

    java.lang.Object
      com.sun.squawk.debugger.JDWPConnection

    public final class JDWPConnection

extends Object

A JDWPConnection represents a connection between two debugger entities that communicate primarily in `packets`.

Nested Class Summary
`static class` | `JDWPConnection.ClosedException`

Constructor Summary
`JDWPConnection(String url, byte[] handshake, boolean initiate, boolean isJDB, Runnable delayer)` Creates a connection based on a given URL and does a handshake with the remote enity once the connection is established.

Method Summary
`void` | `close()` Closes this connection.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDWPConnection

    public JDWPConnection(String url,
                          byte[] handshake,
                          boolean initiate,
                          boolean isJDB,
                          Runnable delayer)
                   throws IOException

  Creates a connection based on a given URL and does a handshake with the remote enity once the connection is established.

  Parameters:
    `url` - the URL used to open the connection
    `handshake` - the array of bytes that must be exchanged in each direction to complete the handshake
    `initiate` - true if the handshake is to be intiated by this host
    `isJDB` - if true, this is connection to Debugger
    `delayer` - code to run after connection but before handshake
  Throws:
    `IOException` - if there is an error establising the connection

Method Detail

### close

    public void close()

  Closes this connection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| " 2013 FRC Java API "
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

"
For updated information see the Java FRC site
"